<template>
	<div v-if="!showed" class="age">
		<div v-if="!isShow" class="n-collapse" @click="onToggleShow">
			<div>
				<span class="red--text">+</span> {{name}}
				<span class="desAge">{{description}}</span>
			</div>
		</div>
		<div v-else class="n-collapse-content">
			<div class="n-collapse-title">
				<button class="n-btn-close" @click="onToggleShow">+</button>
				<div class="n-title">{{name}}</div>
			</div>
			<div class="n-collapse-body">
				<slot></slot>
			</div>
		</div>
	</div>
	<div v-else>
		<div class="n-collapse-content">
			<div class="n-collapse-title">
				<div class="n-title">{{name}}</div>
			</div>
			<div class="n-collapse-body">
				<slot></slot>
			</div>
		</div>
	</div>
</template>
<script lang="js" src="./index.js"></script>
<style lang="scss" src="./styles.scss"></style>
